EDIT - bug #9583

Fix formatting of parent area in condensed distributions string if subareas have various status but at
least 1 area has status native

04/16/2021 07:42 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.23

Severity: normal Found in Version:

Description

This issue is described in #8297#note-15 and has not yet been handled there.
Examples are Tu(A -E) or Ca(?C dF G H dL P T). The main area should only be bold but never have a prefix in this case (according
to ERS).

An example taxon is Acanthus mollis:

e http://test.e-taxonomy.eu/dataportal/preview/euromed/cdm_dataportal/taxon/d988b563-91a7-4346-a02b-0e6f45e1354f
e http://www.europlusmed.org/cdm_dataportal/taxon/d988b563-91a7-4346-a02b-0e6f45e1354f

Related issues:
Copied from EDIT - bug #8297: Fix condensed distribution string for E+M Closed

Associated revisions

Revision e2fafd15 - 04/16/2021 07:45 PM - Andreas Miiller

fix #9583 bold formatting for main areas with at least 1 native sub-area

History

#1 - 04/16/2021 07:42 PM - Andreas Miiller
- Copied from bug #8297: Fix condensed distribution string for E+M added

#2 - 04/16/2021 07:45 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlible2fafd15b80ee6fc8dc2cec59f0d74389ea48feb.

#3 - 04/16/2021 07:49 PM - Andreas Miller

- Description updated

#4 - 04/16/2021 10:46 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

To me the result looks like expected. Reopen if not yet fully fixe.

#5 - 05/17/2021 09:52 AM - Andreas Miiller

- Target version changed from Release 5.25 to Release 5.23
